---
name: SwipeItem
route: /Rows/SwipeItem
menu: Rows
---

import { Playground, PropsTable } from 'docz'
import { View } from 'react-native'
import { SwipeItem } from '../../src'
import { colors } from '@barcard/functions'

## SwipeItem

## About

Row that displays an icon, a label, and a sublabel. Also offers a press handler.

## Properties

<PropsTable of={SwipeItem} includeDescription={true} />

## Basic Usage

<Playground>
  <View style={{ flex: 1, flexDirection: 'row' }}>
    <SwipeItem
      name={'Swipeable Item'}
      label={'Swipe to Test'}
      showPayment={false}
      handleTextPress={() => alert('Pressed the row text!')}
    />
  </View>
</Playground>
